﻿html {
    height: 100%;
    background: none;
    overflow: hidden;
}

body {
    font-family: "Roboto", "SegoeUI", Tahoma, "Helvetica Neue", Helvetica, "Meiryo UI", Meiryo, "Arial Unicode MS", sans-serif;
    height: 100%;
    width: 100%;
    font-family: "Roboto", -apple-system, sans-serif;
    text-align: left;
    font-size: 14px;
    line-height: 1.42857143;
    background: linear-gradient(-45deg, #ee7752, #403D58, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

a {
    color: #337ab7;
    text-decoration: none;
    cursor: pointer;
}

h1 {
    font-size: 40px;
    line-height: 40px;
}

small {
    font-size: 18px;
    font-weight: lighter;
}

h2 {
    font-family: inherit;
    font-weight: 500;
    line-height: 1.1;
    color: inherit;
    margin-top: 20px;
    margin-bottom: 10px;
    font-size: 20px;
}

button {
    background-image: none;
    background-color: #0093E9;
    border: none;
    border-radius: 0.5rem;
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-weight: 400;
    height: 45px;
    margin-top: 1.2rem;
    margin-right: 0px;
    margin-bottom: 1.0rem;
    margin-left: 0px;
    padding: 8px 12px;
    text-align: center;
    touch-action: manipulation;
    user-select: none;
    vertical-align: middle;
    white-space: nowrap;
    width: inherit;
    -moz-user-select: none;
    -ms-touch-action: manipulation;
    -ms-user-select: none;
    -webkit-user-select: none;
    color: #fff;
    width: 100%;
    box-shadow: 0 0px 30px 0px #dae1f7;
}

.container {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    padding: 0;
}

.logo-en206 {
    align-self: center;
    width: 80%;
}

.logo-papiri {
    align-self: center;
    width: 50%;
}

.entry-item {
    width: 100%;
    padding-top: 6px;
    padding-bottom: 6px;
    display: block;
}

.panel {
    background: white;
    display: flex;
    flex-direction: column;
    padding: 40px 30px;
    margin-top: auto;
    margin-bottom: auto;
    border: 1px solid transparent;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

.panel-body {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 370px;
}

input {
    outline: none;
    background-color: #fff !important;
    background-image: none !important;
    border: 1px solid white;
    height: 36px;
    box-shadow: 0px 2px 10px rgba(0, 0, 150, 0.15);
    color: #555;
    font-size: 16px;
    line-height: 1.42857143;
    padding: 6px 20px;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s !important;
    width: calc(100% - 40px);
    -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s !important;
    -webkit-transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s !important;
}

.entry {
    display: flex;
    flex-direction: column;
}

span.label {
    align-items: center;
    display: flex;
}


span.logo {
    background-size: contain;
    height: 24px;
    width: 24px;
    margin-left: 12px;
    margin-right: 16px;
}

span.logo.ms {
    background-image: url('https://nivatechprodwe.blob.core.windows.net/assets/providers/ms-logo.png');
}

span.logo.fb {
    background-image: url('https://nivatechprodwe.blob.core.windows.net/assets/providers/fb-logo.png');
}

span.logo.goog {
    background-image: url('https://nivatechprodwe.blob.core.windows.net/assets/providers/google-logo.png');
}

span.logo.guest {
    background-image: url('https://nivatechprodwe.blob.core.windows.net/assets/providers/outline-person-24px.svg');
    height: 24px;
    width: 24px;
}

span.logo.code {
    background-image: url('https://nivatechprodwe.blob.core.windows.net/assets/providers/vpn_key-24px.svg');
    height: 24px;
    width: 24px;
}


button#next {
    margin-bottom: 0;
}

button.social {
    background-size: 10% 70%;
    background-position-x: 3%;
    background-position-y: 50%;
    background-repeat: no-repeat;
    display: block;
    height: 45px;
    width: 100%;
    margin-left: auto;
    background-color: white;
    border-radius: 0.5rem;
    border: none;
    font-size: 14px;
    color: black;
    cursor: pointer;
    margin-top: 10px;
    margin-right: auto;
    white-space: normal;
    box-shadow: 0px 2px 10px rgba(0, 0, 150, 0.15);
}

.register {
    align-items: center;
    display: flex;
    flex-direction: row;
}

a.sign-up {
    margin-left: 24px;
}

label {
    margin-bottom: 8px;
    margin-top: 8px;
}

div.providers {
    margin-top: 16px;
}

.alert {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.alert-warning {
    margin-top: 16px;
    color: #856404;
    background-color: #fff3cd;
    border-color: #ffeeba;
}

.alert-success {
    margin-top: 16px;
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
}

.alert-error {
    margin-top: 16px;
    color: white;
    background-color: #ee7752;
    border-color: #ffeeba;
}

.password-container {
    display: flex;
    flex-direction: column;

}